# Get Catalog Options for a Service

[Web version](https://docs.hive-service.com/en/api/reference/services/getServiceCatalogOptions)

`GET /v1/service/option/{serviceId}/all`

Retrieve all original catalog options belonging to a service. Requires the `service_view` authority.

## Parameters

- `serviceId` (path, required) — Service catalog entry identifier.

## Responses

- `200` — Service options retrieved successfully.
- `403` — Forbidden - Insufficient permissions
- `500` — Internal server error

[Hive OpenAPI JSON](/openapi.json)
